#include <iostream>
#include <stdio.h>
#include <stdlib.h>
#include <algorithm>
#include <cmath>
#include <string>
#include <bits/stdc++.h>
#include <strstream>
#include <queue>

#define USE_MATH_DEFINES

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);

    int n, k, x, i, l, j;
    cin>>n>>k>>x;
    if (k==0) {
        cout<<"-1";
        return 0;
    }
    else if (k==n) {
        l=k/2;
        x=x-l;
        for (i=1; i<=l; i++) {
            cout<<i<<" ";
        }
        n=n-l;
        for (j=1; j<=n; j++) {
            cout<<i+x<<" ";
            i=i+1;
        }
        return 0;
    }
    int*a=new int [n+2];
    a[1]=1;
    for (i=2; i<=n; i++) {
        a[i+2]=1+k+x;
    }
    for (i=1; i<=n; i++) {
        cout<<a[i]<<" ";
    }
    delete []a;
    return 0;
}